unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, TeeProcs, TeeTree, StdCtrls, ImgList;

type
  TForm1 = class(TForm)
    Tree1: TTree;
    B_BigIcon: TButton;
    B_SmallIcon: TButton;
    TreeImageListBig: TImageList;
    TreeImageListSmall: TImageList;
    procedure FormCreate(Sender: TObject);
    procedure B_BigIconClick(Sender: TObject);
    procedure B_SmallIconClick(Sender: TObject);
  private
    { Private declarations }
    Procedure ReloadIcons;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var t: Integer;
begin
  with Tree1.AddRoot('Root') do
  for t:=1 to 20 do
  begin
    AddChild('Node '+IntToStr(t));
  end;
end;

Procedure TForm1.B_BigIconClick(Sender: TObject);
Begin
  Tree1.Images := TreeImageListBig; // <- Nothing happenes here so try to reload all icons
  ReloadIcons;
End;

Procedure TForm1.B_SmallIconClick(Sender: TObject);
Begin
  Tree1.Images := TreeImageListSmall;
  ReloadIcons;
End;

Procedure TForm1.ReloadIcons;
Var I: Integer;
Begin
  For I := 0 To Tree1.Items.Count - 1 Do
    Tree1.Items[I].ImageListIndex := I mod 3;

  Tree1.Draw;
End;



end.
